# Result type specifications

## ActionResult

| Property   | Type                                                         | Description          |
| ---------- | ------------------------------------------------------------ | -------------------- |
| Quantities | [#actionresultquantities](#actionresultquantities "mention") | Quantity Totals      |
| Items      | [#itemresult](#itemresult "mention")                         | Items result details |

### ActionResultQuantities

| Property | Type    | Description                        |
| -------- | ------- | ---------------------------------- |
| Total    | integer | Total Products Processed           |
| Ok       | integer | Ok Products quantity               |
| Error    | integer | Products with errors quantity      |
| Warning  | integer | Products with warnings quantity    |
| Info     | integer | Products with information quantity |

### ItemResult

| Property        | Type                                                    | Description                                                                                  |
| --------------- | ------------------------------------------------------- | -------------------------------------------------------------------------------------------- |
| ItemNumber      | integer                                                 | Item number                                                                                  |
| ValidationLevel | <p>{</p><p>Id (integer),</p><p>Name(string)</p><p>}</p> | <p>Worst validation Level</p><p>99 = Ok,</p><p>2 = Info,<br>1 = Warning,</p><p>0 = Error</p> |
| KeyField        | string                                                  | Fixed: SKU                                                                                   |
| KeyValue        | string                                                  | Product SKU                                                                                  |
| Messages        | [#validationmessage](#validationmessage "mention")      | Validation Messages                                                                          |

### ValidationMessage

| Property       | Type                                                  | Description                                                                                   |
| -------------- | ----------------------------------------------------- | --------------------------------------------------------------------------------------------- |
| Level          | <p>{</p><p>Id (integer), <br>Name(string)</p><p>}</p> | <p>Severity Level:</p><p> </p><p>99 = Ok,</p><p>2 = Info,</p><p>1 = Warning,<br>0 = Error</p> |
| Code           | integer                                               | Unique error code                                                                             |
| Message        | string                                                | Error description                                                                             |
| ValidatedValue | string                                                | Validated Value (ex: Price, Sky, Qty)                                                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.alephee.com/v2/products/delete-methods/delete-products-from-a-price-list/response.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
